Bug 656938 - Review Request: python-shapely - Geometric objects, predicates, and operations
Summary: Review Request: python-shapely - Geometric objects, predicates, and operations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 14:59 UTC by Volker Fröhlich
Modified: 2016-10-21 15:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-16 20:28:13 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Volker Fröhlich 2010-11-24 14:59:43 UTC
This package is new to Fedora. The module's name is "shapely", but the Python egg is put in "Shapely-...". I don't think this is desired. It is a pure Python 2 package.

Spec URL: http://www.geofrogger.net/review/python-shapely.spec
SRPM URL: http://www.geofrogger.net/review/python-shapely-1.2.7-1.fc13.src.rpm

Description:

Shapely is a package for creation, manipulation, and analysis of planar geometry objects – designed especially for developers of cutting edge geographic information systems. In a nutshell: Shapely lets you do PostGIS-ish stuff outside the context of a database using idiomatic Python.

Comment 1 Rex Dieter 2010-11-26 20:11:24 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2628711

$ rpmlint *.rpm python-shapely
python-shapely.src: W: no-buildroot-tag
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Rex Dieter 2010-11-26 21:01:03 UTC
* rpmlint clean

* sources: OK
$ md5sum *.gz
2cd0bab00a2c39d1ae6cd9ed648db904  Shapely-1.2.7.tar.gz

* naming ok

* license ok

* installs/runs ok (performed only very basic tests)

* %files ok  (but see next...)

* SHOULD: please document why
%exclude %{_bindir}/intersect.py
%exclude %{_bindir}/dissolve.py

* SHOULD: consider adding a %check section with:
$ python setup.py test
fwiw, I see 3 failures on my f14 box (once I installed numpy), though at least one is due to some slight rounding differences.

APPROVED.

Comment 3 Volker Fröhlich 2010-11-27 23:03:13 UTC
New Package SCM Request
=======================
Package Name: python-shapely
Short Description: Geometric objects, predicates, and operations
Owners: volter
Branches: f13 f14
InitialCC:

Comment 4 Jason Tibbitts 2010-11-29 17:03:00 UTC
Git done (by process-git-requests).

Comment 5 John C Peterson 2015-08-14 17:49:08 UTC
Package Change Request
======================
Package Name: python-shapely
New Branches: el6 epel7
Owners: volter jcp
InitialCC: 

I have contacted the package owner (Volker Fröhlich) by email and have obtained his permission for the new EPEL branches. Scratch builds against EPEL executed without errors.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10681822
http://koji.fedoraproject.org/koji/taskinfo?taskID=10682372

Comment 6 Volker Fröhlich 2015-08-14 21:30:38 UTC
That's correct!

Comment 7 Gwyn Ciesla 2015-08-17 13:21:40 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-08-17 23:17:24 UTC
python-shapely-1.5.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-shapely-1.5.2-2.el6

Comment 9 Fedora Update System 2015-08-17 23:57:35 UTC
python-shapely-1.5.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-shapely-1.5.2-2.el7

Comment 10 Fedora Update System 2016-10-19 02:19:20 UTC
python-shapely-1.5.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-10-21 15:54:55 UTC
python-shapely-1.5.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.